import { AdminOfferService } from "./offer.service";
import { CreateOfferDto, UpdateOfferDto, UpdateStatusDto } from "./offer.dto";
export declare class AdminOfferController {
    private readonly adminOfferService;
    constructor(adminOfferService: AdminOfferService);
    create(CreateOfferDto: CreateOfferDto): Promise<{
        status: boolean;
        message: string;
    }>;
    findAll(): Promise<{
        status: boolean;
        message: string;
        data: import("../../common/offer/offer.entity").Offer[];
    }>;
    findOne(id: string): Promise<{
        status: boolean;
        message: string;
        data: import("../../common/offer/offer.entity").Offer;
    }>;
    update(id: string, UpdateOfferDto: UpdateOfferDto): Promise<{
        status: boolean;
        message: string;
    }>;
    remove(id: string): Promise<{
        status: boolean;
        message: string;
    }>;
    updateStatus(id: string, updateStatusDto: UpdateStatusDto): Promise<{
        status: boolean;
        message: string;
    }>;
}
